Bug 78652 - upgrade www/dpsearch to 4.29 version
Summary: upgrade www/dpsearch to 4.29 version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-10 00:20 UTC by Maxime Zakharov
Modified: 2005-04-11 21:29 UTC (History)
0 users

See Also:


Attachments
dp (2.73 KB, text/plain)
2005-03-10 00:20 UTC, Maxime Zakharov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Zakharov 2005-03-10 00:20:02 UTC

    
Comment 1 Michael Johnson freebsd_committer 2005-03-11 09:23:22 UTC
State Changed
From-To: open->feedback

plist is not correct 

===>  Building package for dpsearch-4.29 
tar: etc/dpsearch/langmap/no.urf-8.lm: Cannot stat: No such file or directory 
tar: Error exit delayed from previous errors 
pkg_create: make_dist: tar command failed with code 512 
Creating package /tmp/packages/All/dpsearch-4.29.tgz 
Registering depends: mysql-client-4.0.23a rc_subr-1.31. 
Creating gzip'd tar ball in '/tmp/packages/All/dpsearch-4.29.tgz' 
*** Error code 1 


Comment 2 Michael Johnson freebsd_committer 2005-03-11 09:23:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahzef
Comment 3 Michael Johnson freebsd_committer 2005-03-11 09:24:14 UTC
Responsible Changed
From-To: ahzef->ahze

fix typo, grab.
Comment 4 Maxime Zakharov 2005-03-11 14:40:36 UTC
corrected fix:

--- dp begins here ---
diff -ruN dpsearch.bak/Makefile dpsearch/Makefile
--- dpsearch.bak/Makefile	Thu Mar 10 02:23:33 2005
+++ dpsearch/Makefile	Thu Mar 10 02:39:24 2005
@@ -6,7 +6,7 @@
  #

  PORTNAME=	dpsearch
-PORTVERSION=	4.28
+PORTVERSION=	4.29
  CATEGORIES=	www
  MASTER_SITES=	http://dataparksearch.newsa.ru/ \
  		http://dataparksearch.h0t.de/ \
diff -ruN dpsearch.bak/distinfo dpsearch/distinfo
--- dpsearch.bak/distinfo	Fri Jan 21 17:49:20 2005
+++ dpsearch/distinfo	Thu Mar 10 02:40:53 2005
@@ -1,2 +1,2 @@
-MD5 (dpsearch-4.28.tar.gz) = f39d1619d26743b84bbf1cdd30e6e4a2
-SIZE (dpsearch-4.28.tar.gz) = 3459008
+MD5 (dpsearch-4.29.tar.gz) = a5a3a34ab3f696390b1ff71c56607734
+SIZE (dpsearch-4.29.tar.gz) = 1938546
diff -ruN dpsearch.bak/pkg-plist dpsearch/pkg-plist
--- dpsearch.bak/pkg-plist	Fri Jan 21 17:49:20 2005
+++ dpsearch/pkg-plist	Thu Mar 10 03:03:30 2005
@@ -1,10 +1,9 @@
  bin/dps-config
  bin/search.cgi
  bin/storedoc.cgi
-etc/dpsearch/TraditionalChinese.freq
+etc/dpsearch/acronym/en.fido.acr
  etc/dpsearch/cached.conf-dist
  etc/dpsearch/indexer.conf-dist
-etc/dpsearch/korean.freq
  etc/dpsearch/langmap.conf-dist
  etc/dpsearch/langmap/af.latin1.bible.lm
  etc/dpsearch/langmap/af.latin1.lm
@@ -52,6 +51,8 @@
  etc/dpsearch/langmap/et.cp1257.lm
  etc/dpsearch/langmap/et.latin4.lm
  etc/dpsearch/langmap/eu.latin1.lm
+etc/dpsearch/langmap/fa.isiri3342.lm
+etc/dpsearch/langmap/fa.utf-8.lm
  etc/dpsearch/langmap/fi.latin1.lm
  etc/dpsearch/langmap/fr.latin1.bible.lm
  etc/dpsearch/langmap/fr.latin1.lm
@@ -86,9 +87,14 @@
  etc/dpsearch/langmap/lt.latin4.lm
  etc/dpsearch/langmap/lv.cp1257.lm
  etc/dpsearch/langmap/lv.latin4.lm
+etc/dpsearch/langmap/mi.latin1.lm
+etc/dpsearch/langmap/mi.utf-8.lm
+etc/dpsearch/langmap/mt.latin1.lm
+etc/dpsearch/langmap/mt.utf-8.lm
  etc/dpsearch/langmap/nl.latin1.bible.lm
  etc/dpsearch/langmap/nl.latin1.lm
  etc/dpsearch/langmap/no.latin1.lm
+etc/dpsearch/langmap/no.utf-8.lm
  etc/dpsearch/langmap/pl.cp1250.lit.lm
  etc/dpsearch/langmap/pl.cp1250.lm
  etc/dpsearch/langmap/pl.cp852.lit.lm
@@ -139,7 +145,6 @@
  etc/dpsearch/langmap/zh.big5.lm
  etc/dpsearch/langmap/zh.gb2312.lm
  etc/dpsearch/langmap/zh.utf8.lm
-etc/dpsearch/mandarin.freq
  etc/dpsearch/search.htm-dist
  etc/dpsearch/searchd.conf-dist
  etc/dpsearch/sections.conf-dist
@@ -185,10 +190,8 @@
  etc/dpsearch/storedoc.htm-dist
  etc/dpsearch/synonym/english.syn
  etc/dpsearch/synonym/francais.syn
-etc/dpsearch/synonym/italian2.syn
-etc/dpsearch/synonym/russian.big.syn
  etc/dpsearch/synonym/russian.syn
-etc/dpsearch/thai.freq
+include/dps_acronym.h
  include/dps_agent.h
  include/dps_alias.h
  include/dps_base.h
@@ -422,6 +425,7 @@
  @dirrm %%DATADIR%%/ibase
  @dirrm %%DATADIR%%
  @dirrm %%DOCSDIR%%
+@dirrm etc/dpsearch/acronym
  @dirrm etc/dpsearch/synonym
  @dirrm etc/dpsearch/stopwords
  @dirrm etc/dpsearch/langmap
--- dp ends here ---




-- 
Maxim Zakharov            http://www.maxime.net.ru/
  Sochi, Russia              http://sochi.org.ru/
Comment 5 Pav Lucistnik freebsd_committer 2005-04-11 21:02:53 UTC
State Changed
From-To: feedback->open

Feedback received (a month ago)
Comment 6 Michael Johnson freebsd_committer 2005-04-11 21:28:49 UTC
State Changed
From-To: open->closed

committed, Thank you! 

Sorry for the delay, I missed your second patch and pav pointed it to me.